.map-container {
  user-select: none;
}

.label__checkbox {
  display: none;
}

.label__check {
  display: inline-block;
  border-radius: 50%;
  border: 5px solid rgba(0, 0, 0, 0.1);
  background: white;
  vertical-align: middle;
  margin-right: 20px;
  width: 2em;
  height: 2em;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: border 0.3s ease;
}

.label__check .icon {
  opacity: 0.2;
  font-size: calc(1rem + 1vw);
  color: transparent;
  transition: opacity 0.3s 0.1s ease;
  -webkit-text-stroke: 3px rgba(0, 0, 0, 0.5);
}

.label__check .icon:hover {
  transform: scale(1.3);
}

.label__checkbox:checked + .label__text .label__check {
  animation: check 0.5s cubic-bezier(0.895, 0.03, 0.685, 0.22) forwards;
}

.label__checkbox:checked + .label__text .label__check .icon {
  opacity: 1;
  transform: scale(0);
  color: white;
  -webkit-text-stroke: 0;
  animation: icon 0.3s cubic-bezier(1, 0.008, 0.565, 1.65) 0.1s 1 forwards;
  user-select: none;
}

.info-window-box {
  overflow: hidden;
  height: 12em;
  width: 15em;
}

.center {
  overflow-y: hidden;
  will-change: transform;
  margin-left: 10%;
  font-size: 2.5em;
  position: relative;
  text-align: center;
  user-select: none;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.7s ease, transform 0.8s ease;
}

.center.show {
  opacity: 1;
  transform: translateY(0);
}

@keyframes icon {
  from {
    opacity: 0;
    transform: scale(0.3);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes check {
  0% {
    width: 1.5em;
    height: 1.5em;
    border-width: 5px;
  }
  10% {
    width: 1.5em;
    height: 1.5em;
    opacity: 0.1;
    background: rgba(0, 0, 0, 0.2);
    border-width: 15px;
  }
  12% {
    width: 1.5em;
    height: 1.5em;
    opacity: 0.4;
    background: rgba(0, 0, 0, 0.1);
    border-width: 0;
  }
  50% {
    width: 2em;
    height: 2em;
    background: #00d478;
    border: 0;
    opacity: 0.6;
  }
  100% {
    width: 2em;
    height: 2em;
    background: #00d478;
    border: 0;
    opacity: 1;
  }
}

.experience_label {
  text-align: center;
  margin-bottom: 9px;
  user-select: none;
}

.custom-info-window {
  background-color: #020202;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 111px;
}
